osg::WindowingSystemInterfaceProxy< T > Struct Template Reference

`#include <GraphicsContext>`

## Public Member Functions

| WindowingSystemInterfaceProxy (const std::string &name)
| ~WindowingSystemInterfaceProxy ()

## Public Attributes

osg::ref_ptr< T > | _wsi

## Constructor & Destructor Documentation

## WindowingSystemInterfaceProxy()

template<class T>

osg::WindowingSystemInterfaceProxy< T >::WindowingSystemInterfaceProxy | ( | const std::string & | name | ) |

inline

References _wsi, and osg::GraphicsContext::getWindowingSystemInterfaces().

## ~WindowingSystemInterfaceProxy()

template<class T>

osg::WindowingSystemInterfaceProxy< T >::~WindowingSystemInterfaceProxy | ( |  | ) |

inline

References _wsi, and osg::GraphicsContext::getWindowingSystemInterfaces().

## Member Data Documentation

## _wsi

template<class T>

osg::ref_ptr<T> osg::WindowingSystemInterfaceProxy< T >::_wsi

Referenced by WindowingSystemInterfaceProxy(), and ~WindowingSystemInterfaceProxy().

The documentation for this struct was generated from the following file:

- GraphicsContext